Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class XMLPreferenceManager.XMLProperties

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<Object,Object>
              java.util.Properties
                  org.apache.batik.apps.svgbrowser.XMLPreferenceManager.XMLProperties

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,Object>

Enclosing class:
  XMLPreferenceManager

    protected class XMLPreferenceManager.XMLProperties

extends Properties

To store the preferences.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`protected` | `XMLPreferenceManager.XMLProperties()`

Method Summary
`void` | `load(InputStream is)` Reads a property list (key and element pairs) from the input stream.
`void` | `store(OutputStream os, String header)` Writes this property list (key and element pairs) in this `Properties` table to the output stream in a format suitable for loading into a `Properties` table using the `load` method.

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, loadFromXML, propertyNames, save, setProperty, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLPreferenceManager.XMLProperties

    protected XMLPreferenceManager.XMLProperties()

Method Detail

### load

    public void load(InputStream is)
              throws IOException

  Reads a property list (key and element pairs) from the input stream. The stream is assumed to be using the ISO 8859-1 character encoding.

  Overrides:
    `load` in class `Properties`
  Throws:
    `IOException`

### store

    public void store(OutputStream os,
                      String header)
               throws IOException

  Writes this property list (key and element pairs) in this `Properties` table to the output stream in a format suitable for loading into a `Properties` table using the `load` method. The stream is written using the ISO 8859-1 character encoding.

  Overrides:
    `store` in class `Properties`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.